@use '~@angular/material' as mat;
@import 'src/theme.scss';

.close-dialog-button {
  position: absolute;
  background-color: transparent;
  color: #444;
  right: 0;
  margin: 0;

  transition: color 250ms ease;

  &:hover {
    color: mat.get-color-from-palette($kompakkt-warn, 500);
  }
}


.dialog-title-wrapper {

  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;

  .dialog-title {
    margin: 0;
  }
}

#viewer-frame {
  height: 65vh !important;
}

::ng-deep {
  .mat-dialog-container {
    border-radius: 0.5rem;
    position: relative;
    padding: 2rem;
    max-height: 90vh !important;
  }

  .mat-horizontal-content-container {
    padding: 0 !important;
  }

  .mat-horizontal-stepper-header-container {
    // margin: 0 10rem;
    width: 80%;
    margin: 1rem auto;
    .mat-horizontal-stepper-header {
      height: 4rem;
      margin: unset;
      border-radius: 0.5rem;
      user-select: none;
      padding: 0 min(1rem, 0.5vw);

      .mat-step-icon {
        display: none;
      }

      .mat-step-label {
        text-align: center;
        transition: background 500ms, color 500ms;
      }

      &[aria-selected='true'] {
        background: #f77159;
        .mat-step-label {
          color: white;
        }
      }
    }
    .mat-stepper-horizontal-line {
      min-width: unset;
      margin: 1rem;
    }
  }
}
